
/*
 * See the files COPYING and README for copyright information and how to reach 
 * the author.
 *
 *  $Id: config.h,v 1.1.1.1 2004/11/19 16:45:31 lordjaxom Exp $
 */

#ifndef VDR_BURN_CONFIG_H
#define VDR_BURN_CONFIG_H

#include <stdlib.h>
#include <string.h>

class cBurnRecording;
class cBurnJob;

// --- cSubmuxConfig ----------------------------------------------------------

class cSubmuxConfig
{
  private:
    char *mFileName;
    char *mButtonsNormal;
    char *mButtonsSelect;
    char *mButtonsHighlight;

  public:
    cSubmuxConfig(const char *Format, ...)
        __attribute__ ((format(printf, 2, 3)));
    ~cSubmuxConfig();

    void Write(void);

    void SetButtonNormal(const char *Format, ...)
        __attribute__ ((format(printf, 2, 3)));
    void SetButtonSelect(const char *Format, ...)
        __attribute__ ((format(printf, 2, 3)));
    void SetButtonHighlight(const char *Format, ...)
        __attribute__ ((format(printf, 2, 3)));
};

// --- cDvdauthorConfig  ------------------------------------------------------

class cDvdauthorConfig
{
  private:
    char *mFileName;
    char *mTempDir;
    cBurnJob *mJob;

  public:
    cDvdauthorConfig(cBurnJob * Job, const char *Format, ...)
        __attribute__ ((format(printf, 3, 4)));
    ~cDvdauthorConfig();

    void Write(void);
    void SetTempDir(const char *TempDir);
};

#endif // VDR_BURN_CONFIG_H
